Loading...
Searching...
No Matches
hmi::ExternalBeeper Interface Reference

External Beeper interface. More...

## Classes

struct | StateChangedEvent
| Event: beeper state has changed. More...

## Public Types

enum | State { OFF , ON , ALARMING }
| Beeper state.

## Public Member Functions

State | getState ()
| Get current beeper state.
void | alarm ()
| Start beeper alarm. More...
void | on ()
| Turn beeper on. More...
void | off ()
| Turn beeper off. More...

## Detailed Description

External Beeper interface.

## Member Function Documentation

## alarm()

void hmi::ExternalBeeper::alarm | ( |  | ) |

Start beeper alarm.

Starts and repeats an alarm sequence of beeper on and beeper off. The sequence will be infinitely repeated until "off" is called.

## off()

void hmi::ExternalBeeper::off | ( |  | ) |

Turn beeper off.

Disables beeper sound and also stops beeper alarm.

## on()

void hmi::ExternalBeeper::on | ( |  | ) |

Turn beeper on.

Enables the beeper sound.

The documentation for this interface was generated from the following file:

- ExternalBeeper.idl